package com.chinacreator.process.bean;

public class PointShopOrderBean {
	private String id; //ID,	
	private String userid; //USERID,
	private String province; //PROVINCE,
	private String area; //AREA,
	private String cpid; //CPID,
	private String spid; //SPID,
	private String orderNo; //ORDERNO,
	private String goodsCode; //GOODSCODE,
	private String resultCode; //RESULTCODE,
	private String resultInfo; //RESULTINFO,
	private String busiType; //BUSITYPE,
	private String serviceCode; //SERVICECODE,
	private String insertTime; //TO_CHAR(INSERTTIME,'YYYYMMDDHH24MISS') INSERTTIME,
	private String finishTime; //TO_CHAR(FINISHTIME,'YYYYMMDDHH24MISS') FINISHTIME,
	private String orderTime; //TO_CHAR(ORDERTIME,'YYYYMMDDHH24MISS') ORDERTIME
	private String vippool;
	private String viptype;
	private String vipstatus; //赠送会员状态，0成功，1未成功，2赠送中，3不赠送
	private String requestId; //请求ID
	private String appId;
	
	public String getEffecttime() {
		return effecttime;
	}
	public void setEffecttime(String effecttime) {
		this.effecttime = effecttime;
	}
	public String getEndtime() {
		return endtime;
	}
	public void setEndtime(String endtime) {
		this.endtime = endtime;
	}
	public String getOrderchannel() {
		return orderchannel;
	}
	public void setOrderchannel(String orderchannel) {
		this.orderchannel = orderchannel;
	}
	private String effecttime;
	private String endtime;
	private String orderchannel;
	private String canceltime;
	
	
	public String getAppId() {
		return appId;
	}
	public void setAppId(String appId) {
		this.appId = appId;
	}
	
	public String getRequestId() {
		return requestId;
	}
	public void setRequestId(String requestId) {
		this.requestId = requestId;
	}
	public String getVipstatus() {
		return vipstatus;
	}
	public void setVipstatus(String vipstatus) {
		this.vipstatus = vipstatus;
	}
	public String getVippool() {
		return vippool;
	}
	public void setVippool(String vippool) {
		this.vippool = vippool;
	}
	public String getViptype() {
		return viptype;
	}
	public void setViptype(String viptype) {
		this.viptype = viptype;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getUserid() {
		return userid;
	}
	public void setUserid(String userid) {
		this.userid = userid;
	}
	public String getProvince() {
		return province;
	}
	public void setProvince(String province) {
		this.province = province;
	}
	public String getArea() {
		return area;
	}
	public void setArea(String area) {
		this.area = area;
	}
	public String getCpid() {
		return cpid;
	}
	public void setCpid(String cpid) {
		this.cpid = cpid;
	}
	public String getSpid() {
		return spid;
	}
	public void setSpid(String spid) {
		this.spid = spid;
	}
	public String getOrderNo() {
		return orderNo;
	}
	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}
	public String getGoodsCode() {
		return goodsCode;
	}
	public void setGoodsCode(String goodsCode) {
		this.goodsCode = goodsCode;
	}
	public String getResultCode() {
		return resultCode;
	}
	public void setResultCode(String resultCode) {
		this.resultCode = resultCode;
	}
	public String getResultInfo() {
		return resultInfo;
	}
	public void setResultInfo(String resultInfo) {
		this.resultInfo = resultInfo;
	}
	public String getBusiType() {
		return busiType;
	}
	public void setBusiType(String busiType) {
		this.busiType = busiType;
	}
	public String getServiceCode() {
		return serviceCode;
	}
	public void setServiceCode(String serviceCode) {
		this.serviceCode = serviceCode;
	}
	public String getInsertTime() {
		return insertTime;
	}
	public void setInsertTime(String insertTime) {
		this.insertTime = insertTime;
	}
	public String getFinishTime() {
		return finishTime;
	}
	public void setFinishTime(String finishTime) {
		this.finishTime = finishTime;
	}
	public String getOrderTime() {
		return orderTime;
	}
	public void setOrderTime(String orderTime) {
		this.orderTime = orderTime;
	}


	public String getCanceltime() {
		return canceltime;
	}

	public void setCanceltime(String canceltime) {
		this.canceltime = canceltime;
	}
}
